Package org.lwjgl.opengles

# Class NVDrawPath

java.lang.Object
org.lwjgl.opengles.NVDrawPath

public final class NVDrawPath extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_CAP_BUTT_NV`
Values for the CAP[0-3]_STYLE_NV path parameter:
`static final int`
`GL_CAP_ROUND_NV`
Values for the CAP[0-3]_STYLE_NV path parameter:
`static final int`
`GL_CAP_SQUARE_NV`
Values for the CAP[0-3]_STYLE_NV path parameter:
`static final int`
`GL_CAP_TRIANGLE_NV`
Values for the CAP[0-3]_STYLE_NV path parameter:
`static final byte`
`GL_CLOSE_NV`
Accepted as path commands by CreatePathNV:
`static final byte`
`GL_CUBIC_BEZIER_TO_NV`
Accepted as path commands by CreatePathNV:
`static final int`
`GL_EVEN_ODD_NV`
Values for the ILL_RULE_NV path parameter:
`static final int`
`GL_FILL_PATH_NV`
Accepted as the <mode> parameter of DrawPathbufferNV:
`static final int`
`GL_FILL_RULE_NV`
Accepted as the <paramType> parameter of PathParameterNV:
`static final int`
`GL_JOIN_BEVEL_NV`
Values for the JOIN_STYLE_NV path parameter:
`static final int`
`GL_JOIN_CLIPPED_MITER_NV`
Values for the JOIN_STYLE_NV path parameter:
`static final int`
`GL_JOIN_MITER_NV`
Values for the JOIN_STYLE_NV path parameter:
`static final int`
`GL_JOIN_ROUND_NV`
Values for the JOIN_STYLE_NV path parameter:
`static final byte`
`GL_LINE_TO_NV`
Accepted as path commands by CreatePathNV:
`static final int`
`GL_MATRIX_PATH_COORD0_NV`
Accepted as the <target> parameter of PathMatrixNV:
`static final int`
`GL_MATRIX_PATH_COORD1_NV`
Accepted as the <target> parameter of PathMatrixNV:
`static final int`
`GL_MATRIX_PATH_COORD2_NV`
Accepted as the <target> parameter of PathMatrixNV:
`static final int`
`GL_MATRIX_PATH_COORD3_NV`
Accepted as the <target> parameter of PathMatrixNV:
`static final int`
`GL_MATRIX_PATH_TO_CLIP_NV`
Accepted as the <target> parameter of PathMatrixNV:
`static final int`
`GL_MATRIX_STROKE_TO_PATH_NV`
Accepted as the <target> parameter of PathMatrixNV:
`static final byte`
`GL_MOVE_TO_NV`
Accepted as path commands by CreatePathNV:
`static final int`
`GL_NON_ZERO_NV`
Values for the ILL_RULE_NV path parameter:
`static final int`
`GL_PATH_QUALITY_NV`
Accepted as the <paramType> parameter of PathParameterNV:
`static final byte`
`GL_QUADRATIC_BEZIER_TO_NV`
Accepted as path commands by CreatePathNV:
`static final byte`
`GL_START_MARKER_NV`
Accepted as path commands by CreatePathNV:
`static final byte`
`GL_STROKE_CAP0_NV`
Accepted as path commands by CreatePathNV:
`static final int`
`GL_STROKE_CAP0_STYLE_NV`
Accepted as the <paramType> parameter of PathParameterNV:
`static final byte`
`GL_STROKE_CAP1_NV`
Accepted as path commands by CreatePathNV:
`static final int`
`GL_STROKE_CAP1_STYLE_NV`
Accepted as the <paramType> parameter of PathParameterNV:
`static final byte`
`GL_STROKE_CAP2_NV`
Accepted as path commands by CreatePathNV:
`static final int`
`GL_STROKE_CAP2_STYLE_NV`
Accepted as the <paramType> parameter of PathParameterNV:
`static final byte`
`GL_STROKE_CAP3_NV`
Accepted as path commands by CreatePathNV:
`static final int`
`GL_STROKE_CAP3_STYLE_NV`
Accepted as the <paramType> parameter of PathParameterNV:
`static final int`
`GL_STROKE_JOIN_STYLE_NV`
Accepted as the <paramType> parameter of PathParameterNV:
`static final int`
`GL_STROKE_MITER_LIMIT_NV`
Accepted as the <paramType> parameter of PathParameterNV:
`static final int`
`GL_STROKE_PATH_NV`
Accepted as the <mode> parameter of DrawPathbufferNV:

## Method Summary

Modifier and Type
Method
Description
`static int`
`glCreatePathbufferNV(int capacity)`
`static int`
`glCreatePathNV(int datatype, ByteBuffer commands)`
`static int`
`glCreatePathProgramNV()`
`static void`
`glDeletePathbufferNV(int buffer)`
`static void`
`glDeletePathNV(int path)`
`static void`
`glDrawPathbufferNV(int buffer, int mode)`
`static void`
`glDrawPathNV(int path, int mode)`
`static void`
`glPathbufferPathNV(int buffer, int index, int path)`
`static void`
`glPathbufferPositionNV(int buffer, int index, float x, float y)`
`static void`
`glPathMatrixNV(int target, FloatBuffer value)`
`static void`
`glPathParameterfNV(int path, int paramType, float param)`
`static void`
`glPathParameteriNV(int path, int paramType, int param)`
`static void`
`glPathVerticesNV(int path, ByteBuffer vertices)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_PATH_QUALITY_NV

public static final int GL_PATH_QUALITY_NV
Accepted as the <paramType> parameter of PathParameterNV:

See Also:
  - Constant Field Values

### GL_FILL_RULE_NV

public static final int GL_FILL_RULE_NV
Accepted as the <paramType> parameter of PathParameterNV:

See Also:
  - Constant Field Values

### GL_STROKE_CAP0_STYLE_NV

public static final int GL_STROKE_CAP0_STYLE_NV
Accepted as the <paramType> parameter of PathParameterNV:

See Also:
  - Constant Field Values

### GL_STROKE_CAP1_STYLE_NV

public static final int GL_STROKE_CAP1_STYLE_NV
Accepted as the <paramType> parameter of PathParameterNV:

See Also:
  - Constant Field Values

### GL_STROKE_CAP2_STYLE_NV

public static final int GL_STROKE_CAP2_STYLE_NV
Accepted as the <paramType> parameter of PathParameterNV:

See Also:
  - Constant Field Values

### GL_STROKE_CAP3_STYLE_NV

public static final int GL_STROKE_CAP3_STYLE_NV
Accepted as the <paramType> parameter of PathParameterNV:

See Also:
  - Constant Field Values

### GL_STROKE_JOIN_STYLE_NV

public static final int GL_STROKE_JOIN_STYLE_NV
Accepted as the <paramType> parameter of PathParameterNV:

See Also:
  - Constant Field Values

### GL_STROKE_MITER_LIMIT_NV

public static final int GL_STROKE_MITER_LIMIT_NV
Accepted as the <paramType> parameter of PathParameterNV:

See Also:
  - Constant Field Values

### GL_EVEN_ODD_NV

public static final int GL_EVEN_ODD_NV
Values for the ILL_RULE_NV path parameter:

See Also:
  - Constant Field Values

### GL_NON_ZERO_NV

public static final int GL_NON_ZERO_NV
Values for the ILL_RULE_NV path parameter:

See Also:
  - Constant Field Values

### GL_CAP_BUTT_NV

public static final int GL_CAP_BUTT_NV
Values for the CAP[0-3]_STYLE_NV path parameter:

See Also:
  - Constant Field Values

### GL_CAP_ROUND_NV

public static final int GL_CAP_ROUND_NV
Values for the CAP[0-3]_STYLE_NV path parameter:

See Also:
  - Constant Field Values

### GL_CAP_SQUARE_NV

public static final int GL_CAP_SQUARE_NV
Values for the CAP[0-3]_STYLE_NV path parameter:

See Also:
  - Constant Field Values

### GL_CAP_TRIANGLE_NV

public static final int GL_CAP_TRIANGLE_NV
Values for the CAP[0-3]_STYLE_NV path parameter:

See Also:
  - Constant Field Values

### GL_JOIN_MITER_NV

public static final int GL_JOIN_MITER_NV
Values for the JOIN_STYLE_NV path parameter:

See Also:
  - Constant Field Values

### GL_JOIN_ROUND_NV

public static final int GL_JOIN_ROUND_NV
Values for the JOIN_STYLE_NV path parameter:

See Also:
  - Constant Field Values

### GL_JOIN_BEVEL_NV

public static final int GL_JOIN_BEVEL_NV
Values for the JOIN_STYLE_NV path parameter:

See Also:
  - Constant Field Values

### GL_JOIN_CLIPPED_MITER_NV

public static final int GL_JOIN_CLIPPED_MITER_NV
Values for the JOIN_STYLE_NV path parameter:

See Also:
  - Constant Field Values

### GL_MATRIX_PATH_TO_CLIP_NV

public static final int GL_MATRIX_PATH_TO_CLIP_NV
Accepted as the <target> parameter of PathMatrixNV:

See Also:
  - Constant Field Values

### GL_MATRIX_STROKE_TO_PATH_NV

public static final int GL_MATRIX_STROKE_TO_PATH_NV
Accepted as the <target> parameter of PathMatrixNV:

See Also:
  - Constant Field Values

### GL_MATRIX_PATH_COORD0_NV

public static final int GL_MATRIX_PATH_COORD0_NV
Accepted as the <target> parameter of PathMatrixNV:

See Also:
  - Constant Field Values

### GL_MATRIX_PATH_COORD1_NV

public static final int GL_MATRIX_PATH_COORD1_NV
Accepted as the <target> parameter of PathMatrixNV:

See Also:
  - Constant Field Values

### GL_MATRIX_PATH_COORD2_NV

public static final int GL_MATRIX_PATH_COORD2_NV
Accepted as the <target> parameter of PathMatrixNV:

See Also:
  - Constant Field Values

### GL_MATRIX_PATH_COORD3_NV

public static final int GL_MATRIX_PATH_COORD3_NV
Accepted as the <target> parameter of PathMatrixNV:

See Also:
  - Constant Field Values

### GL_FILL_PATH_NV

public static final int GL_FILL_PATH_NV
Accepted as the <mode> parameter of DrawPathbufferNV:

See Also:
  - Constant Field Values

### GL_STROKE_PATH_NV

public static final int GL_STROKE_PATH_NV
Accepted as the <mode> parameter of DrawPathbufferNV:

See Also:
  - Constant Field Values

### GL_MOVE_TO_NV

public static final byte GL_MOVE_TO_NV
Accepted as path commands by CreatePathNV:

See Also:
  - Constant Field Values

### GL_LINE_TO_NV

public static final byte GL_LINE_TO_NV
Accepted as path commands by CreatePathNV:

See Also:
  - Constant Field Values

### GL_QUADRATIC_BEZIER_TO_NV

public static final byte GL_QUADRATIC_BEZIER_TO_NV
Accepted as path commands by CreatePathNV:

See Also:
  - Constant Field Values

### GL_CUBIC_BEZIER_TO_NV

public static final byte GL_CUBIC_BEZIER_TO_NV
Accepted as path commands by CreatePathNV:

See Also:
  - Constant Field Values

### GL_START_MARKER_NV

public static final byte GL_START_MARKER_NV
Accepted as path commands by CreatePathNV:

See Also:
  - Constant Field Values

### GL_CLOSE_NV

public static final byte GL_CLOSE_NV
Accepted as path commands by CreatePathNV:

See Also:
  - Constant Field Values

### GL_STROKE_CAP0_NV

public static final byte GL_STROKE_CAP0_NV
Accepted as path commands by CreatePathNV:

See Also:
  - Constant Field Values

### GL_STROKE_CAP1_NV

public static final byte GL_STROKE_CAP1_NV
Accepted as path commands by CreatePathNV:

See Also:
  - Constant Field Values

### GL_STROKE_CAP2_NV

public static final byte GL_STROKE_CAP2_NV
Accepted as path commands by CreatePathNV:

See Also:
  - Constant Field Values

### GL_STROKE_CAP3_NV

public static final byte GL_STROKE_CAP3_NV
Accepted as path commands by CreatePathNV:

See Also:
  - Constant Field Values

## Method Details

### glCreatePathNV

public static int glCreatePathNV(int datatype, ByteBuffer commands)

### glDeletePathNV

public static void glDeletePathNV(int path)

### glPathVerticesNV

public static void glPathVerticesNV(int path, ByteBuffer vertices)

### glPathParameterfNV

public static void glPathParameterfNV(int path, int paramType, float param)

### glPathParameteriNV

public static void glPathParameteriNV(int path, int paramType, int param)

### glCreatePathProgramNV

public static int glCreatePathProgramNV()

### glPathMatrixNV

public static void glPathMatrixNV(int target, FloatBuffer value)

### glDrawPathNV

public static void glDrawPathNV(int path, int mode)

### glCreatePathbufferNV

public static int glCreatePathbufferNV(int capacity)

### glDeletePathbufferNV

public static void glDeletePathbufferNV(int buffer)

### glPathbufferPathNV

public static void glPathbufferPathNV(int buffer, int index, int path)

### glPathbufferPositionNV

public static void glPathbufferPositionNV(int buffer, int index, float x, float y)

### glDrawPathbufferNV

public static void glDrawPathbufferNV(int buffer, int mode)